if not _G.Automatic_Tactic then
	_G.Automatic_Tactic = _G.Automatic_Tactic or {}
	Automatic_Tactic._path = ModPath
	Automatic_Tactic._data_path = SavePath .. "Automatic_Tactic.txt"
	Automatic_Tactic.settings = 
	{
		Stealth_or_Loud = true
	}

	Stealth_Tag = { -- These heists will automatically get stealth tag once hosted
	"cage", -- Car shop
	"kosugi",-- Shadow raid
	}
	Loud_Tag = { -- These heists will automatically get loud tag once hosted
	"rat",-- Cook off
	"arm_hcm",-- Armored Transport: Downtown
	"arm_cro",-- Armored Transport: Crossroads
	"arm_fac",-- Armored Transport: Harbor
	"arm_par",-- Armored Transport: Park
	"arm_und",-- Armored Transport: Underpass
	"dinner",-- Slaughter House
	"nail",-- Lab rats
	"alex_1",-- Rats
	"watchdogs_1",-- Watchdogs
	"watchdogs_1_night",-- Watchdogs
	"pbr",-- Beneath the mountain
	"pbr2",-- Birth of sky
	"crojob3",-- Forest
	"mia_1",-- Hotline miami
	"hox_1",-- Hoxton breakout
	"jolly",-- Aftershock
	"mallcrasher",-- Mallcrasher
	"shoutout_raid",-- Meltdown
	"pines",-- White xmas
	"cane", -- Santa's workshop
	"peta", -- Goat Simulator
	}
	Any_Tag = { -- Just leaving this here if you want to tweak it to your liking
	"gallery",-- Art gallery
	"branchbank",-- Bank heist
	"family",-- Diamond store
	"roberts",-- Go bank
	"jewelry_store",-- Jewelery store
	"arena",-- Alleso
	"arm_for",-- Armored Transport: Train Heist
	"red2",-- First World bank
	"crojob2",-- Dockyard
	"kenaz",-- Golden grin casino
	"hox_3",-- Hoxton revenge
	"big",-- Big bank
	"mus",-- The diamond
	"election_day_1",-- Election day
	"framing_frame_1",-- Framing frame
	"four_stores",-- Four stores
	"nightclub",-- Nightclub
	"ukranian_job",-- Ukranian job
	"firestarter_1",-- Firestarter
	"welcome_to_the_jungle_1_night",-- Big oil night
	"welcome_to_the_jungle_1",-- Big oil
	}
end

function Automatic_Tactic:Load()
	local file = io.open(self._data_path, "r")
	if file then
		for k, v in pairs(json.decode(file:read("*all")) or {}) do
			self.settings[k] = v
		end
		file:close()
	end
end

function Automatic_Tactic:Save()
	local file = io.open(self._data_path, "w+")
	if file then
		file:write(json.encode(self.settings))
		file:close()
	end
end

Hooks:Add("LocalizationManagerPostInit", "Automatic_Tactic:LocalizationManager", function(loc)
	for _, filename in pairs(file.GetFiles(Automatic_Tactic._path .. "loc/")) do
		local str = filename:match('^(.*).txt$')
		if str and Idstring(str) and Idstring(str):key() == SystemInfo:language():key() then
			loc:load_localization_file(Automatic_Tactic._path .. "loc/" .. filename)
			break
		end
	end
	loc:load_localization_file(Automatic_Tactic._path .. "loc/english.txt", false)
end)

Hooks:Add("MenuManagerInitialize", "Automatic_Tactic:MenuManagerInitialize", function(menu_manager)
	MenuCallbackHandler.Stealth_or_Loud_callback = function(this, item)
		Automatic_Tactic.settings.Stealth_or_Loud = (item:value() == "on" and true or false)
	end
	MenuCallbackHandler.Automatic_Tactic_Menu = function(this, item)
		Automatic_Tactic:Save()
	end
	Automatic_Tactic:Load()
	MenuHelper:LoadFromJsonFile(Automatic_Tactic._path .. "menu/options.txt", Automatic_Tactic, Automatic_Tactic.settings)
end)

Hooks:PostHook(MenuCallbackHandler, "open_contract_node", "Automatic_Tactic:Auto_Tactic_Chooser", function(self, item)
	if Automatic_Tactic:Map_Inspect(Loud_Tag, item:parameters().id) == true then
		Global.game_settings.job_plan = 1
	elseif Automatic_Tactic:Map_Inspect(Stealth_Tag, item:parameters().id) == true then
		Global.game_settings.job_plan = 2
	elseif Automatic_Tactic.settings.Stealth_or_Loud == true then
		Global.game_settings.job_plan = 1
	elseif Automatic_Tactic.settings.Stealth_or_Loud == false then
		Global.game_settings.job_plan = 2
	end
end)

function Automatic_Tactic:Map_Inspect(array, map)
	for _,v in pairs(array) do
		if v == map then
			return true
		end
	end
end